Skip to main content
`Ctrl`+`K`

# PetscDSGetRHSResidual

Get the pointwise RHS residual function for explicit timestepping for a given test field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetRHSResidual(PetscDS ds, PetscInt f, PetscPointFn **f0, PetscPointFn **f1)

Not Collective

## Input Parameters

- ds - The `PetscDS`

- f - The test field number

## Output Parameters

- f0 - integrand for the test function term, see `PetscPointFn`

- f1 - integrand for the test function gradient term, see `PetscPointFn`

## Note

We are using a first order FEM model for the weak form: \( \int_\Omega \phi f_0(u, u_t, \nabla u, x, t) + \nabla\phi \cdot {\vec f}_1(u, u_t, \nabla u, x, t)\)

## See Also

`PetscPointFn`, `PetscDS`, `PetscDSSetRHSResidual()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages